Turns out I need JDK, but I only install JRE...

On Wed, Oct 12, 2016 at 3:25 PM Xi Shen <davidshe...@gmail.com> wrote:

> Here's the log http://pastie.org/private/nem2pur2tl3adgbrv4hl2g
>
> I did a test. I copied the jar file to ./interpreter/jdbc, the execute the
> same command. This I got another error related to hadoop-common. I think
> the configuration in "dependency" section did not take effect at all. But
> there's no error either.
>
> Please help~
>
> On Wed, Oct 12, 2016 at 1:02 PM Xi Shen <davidshe...@gmail.com> wrote:
>
> Hi,
>
> I followed https://zeppelin.apache.org/docs/0.6.1/interpreter/jdbc.html,
> and added two artifacts:
>
>    - org.apache.hive:hive-jdbc:2.1.0
>    - org.apache.hadoop:hadoop-common:2.7.3
>
> Then I tried this:
>
> %jdbc(hive)
> show tables
>
> But I got this error:
>
> org.apache.hive.jdbc.HiveDriver
> class java.lang.ClassNotFoundException
> java.net.URLClassLoader.findClass(URLClassLoader.java:381)
> java.lang.ClassLoader.loadClass(ClassLoader.java:424)
>
>
> I think the dependency configuration will pull in the hive-jdbc jar file,
> so I did not put the jar file into the ./interpreter/jdbc directory. Did I
> do anything wrong? Or the manual needs update?
> --
>
>
> Thanks,
> David S.
>
> --
>
>
> Thanks,
> David S.
>
-- 


Thanks,
David S.

Reply via email to